<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @author  ClimaxThemes
 * @package Kata
 * @since   1.0.0
 */

if ( is_active_sidebar( 'kata-left-sidebar' ) && is_active_sidebar( 'kata-right-sidebar' ) ) {
	$kata_content_class = 'col-md-6';
} elseif ( is_active_sidebar( 'kata-left-sidebar' ) || is_active_sidebar( 'kata-right-sidebar' ) ) {
	$kata_content_class = 'col-md-9';
} else {
	$kata_content_class = 'col-md-12';
}
?>

<article <?php echo esc_html( post_class() ); ?>>
	<div class="container">
		<div class="row">
			<?php if ( is_active_sidebar( 'kata-left-sidebar' ) ) { ?>
			<div class="col-md-3 kata-sidebar kata-left-sidebar" role="complementary">
				<?php dynamic_sidebar( 'kata-left-sidebar' ); ?>
			</div>
			<?php } ?>
			<div class="kata-default-loop-content-single <?php echo esc_attr( $kata_content_class ); ?>" role="main">
				<div class="kata-default-post">
					<div class="kata-post-details">
						<div class="kata-row">
							<div class="kata-post-thumbnail">
								<?php Kata_Template_Tags::post_thumbnail(); ?>
							</div>
						</div>
						<div class="post-content-header">
							<div class="row">
								<div class="col-md-8">
									<div class="kata-post-categories">
										<?php Kata_Template_Tags::post_categories(); ?>
									</div>
									<header>
										<div class="kata-post-title">
										<h1> <?php the_title(); ?></h1>
										</div>
									</header>
								</div>
								<div class="col-md-4">
									<div class="kata-post-default-meta">
										<div class="kata-post-date-wrap">
											<span><?php echo esc_html__( 'Date:', 'kata' ); ?></span>
											<?php Kata_Template_Tags::post_date(); ?>
										</div>
										<div class="kata-post-author-wrap">
											<span><?php echo esc_html__( 'Author:', 'kata' ); ?></span>
											<?php Kata_Template_Tags::post_author(); ?>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="kata-row">
						<div class="kata-post-content">
							<?php the_content(); ?>
							<?php wp_link_pages(); ?>
							<?php if ( has_tag() ) : ?>
								<div class="kata-post-tags">
									<span><?php echo esc_html__( 'Tags : ', 'kata' ); ?></span> <?php Kata_Template_Tags::post_tags(); ?>
								</div>
							<?php endif; ?>
							<div class="kata-post-social-share">
								<span class="kata-post-social-share-title"><?php echo esc_html__( 'Share : ', 'kata' ); ?></span>
								<?php Kata_Template_Tags::social_share(); ?>
							</div>
							<?php
							if ( comments_open() ) {
								comments_template();
							}
							?>
						</div>
					</div>
				</div>
			</div>
			<?php if ( is_active_sidebar( 'kata-right-sidebar' ) ) { ?>
			<div class="col-md-3 kata-sidebar kata-right-sidebar" role="complementary">
				<?php dynamic_sidebar( 'kata-right-sidebar' ); ?>
			</div>
			<?php } ?>
		</div>
	</div>
</article>
